summaryrefslogtreecommitdiff
path: root/post-install.d
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2008-01-15 14:21:46 -0500
committerJoey Hess <joey@kodama.kitenet.net>2008-01-15 14:21:46 -0500
commitc8f16796c6c72251814626ccf911d8f025cc60f3 (patch)
tree17c99c0cc0570d2167ceb3cf888d60df304a757a /post-install.d
parent45fa1c5a4d911503b545df62c4e276807063dc4e (diff)
* Convert the directory parameter of etckeeper into "-d directory".
* Pass other patameters on from etckeeper to the .d scripts. * Stop using run-parts for various reasons. * Split out a commit.d that contains committing code that's used by both the pre-install.d and post-install.d scripts. * Split out an unclean.d that tests if the WC contains uncommitted changes. * Add preinst code to remove old post-install.d scripts.
Diffstat (limited to 'post-install.d')
-rwxr-xr-xpost-install.d/10vcs-test13
-rwxr-xr-xpost-install.d/30git-add8
-rwxr-xr-xpost-install.d/30hg-addremove8
-rwxr-xr-xpost-install.d/40git-rm12
-rwxr-xr-xpost-install.d/50vcs-commit9
5 files changed, 2 insertions, 48 deletions
diff --git a/post-install.d/10vcs-test b/post-install.d/10vcs-test
deleted file mode 100755
index ddd4448..0000000
--- a/post-install.d/10vcs-test
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-set -e
-
-not_enabled_warning() {
- echo "etckeeper warning: etckeeper is not yet enabled for $(pwd)" >&2
- echo "etckeeper warning: run etckeeper init to enable it" >&2
-}
-
-if [ "$VCS" = git ] && [ ! -d .git ]; then
- not_enabled_warning
-elif [ "$VCS" = hg ] && [ ! -d .hg ]; then
- not_enabled_warning
-fi
diff --git a/post-install.d/30git-add b/post-install.d/30git-add
deleted file mode 100755
index 66d96a9..0000000
--- a/post-install.d/30git-add
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/sh
-set -e
-
-if [ "$VCS" = git ] && [ -d .git ]; then
- if ! git add .; then
- echo "etckeeper warning: git add failed" >&2
- fi
-fi
diff --git a/post-install.d/30hg-addremove b/post-install.d/30hg-addremove
deleted file mode 100755
index 1b999bb..0000000
--- a/post-install.d/30hg-addremove
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/sh
-set -e
-
-if [ "$VCS" = hg ] && [ -d .hg ]; then
- if ! hg addremove .; then
- echo "etckeeper warning: hg addremove failed" >&2
- fi
-fi
diff --git a/post-install.d/40git-rm b/post-install.d/40git-rm
deleted file mode 100755
index 3d5289a..0000000
--- a/post-install.d/40git-rm
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-set -e
-
-TAB=" "
-
-if [ "$VCS" = git ] && [ -d .git ]; then
- for file in $(git ls-files --deleted); do
- if [ ! -d "$file" ]; then
- git rm --quiet "$file"
- fi
- done
-fi
diff --git a/post-install.d/50vcs-commit b/post-install.d/50vcs-commit
index 52c6c10..581e310 100755
--- a/post-install.d/50vcs-commit
+++ b/post-install.d/50vcs-commit
@@ -1,11 +1,6 @@
#!/bin/sh
set -e
-message="committing changes after $HIGHLEVEL_PACKAGE_MANAGER run"
-
-if [ "$VCS" = git ] && [ -d .git ]; then
- # ignore exit code since it exits nonzero if there is nothing to do
- git commit $GIT_COMMIT_OPTIONS -m "$message" || true
-elif [ "$VCS" = hg ] && [ -d .hg ]; then
- hg commit $HG_COMMIT_OPTIONS -m "$message" || true
+if etckeeper unclean; then
+ etckeeper commit "committing changes after $HIGHLEVEL_PACKAGE_MANAGER run"
fi